@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@100;400&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: EmperorTen;
    src: url(../fonts/emperorten-regular.ttf);
}

@font-face {
    font-family: ArcadeClassic;
    src: url(../fonts/arcade-classic.TTF);
}

@font-face {
    font-family: JuliusRegular;
    src: url(../fonts/JuliusRegular.ttf);
}

body {
    background: #00BD01;
}

.back-btn-wrapper svg {
    width: 1.4rem;
    height: 1.4rem;
}

.page-wrapper {
    width: 100%;
    min-height: 100vh;
    font-family: "IBM Plex Sans", sans-serif;
    font-size: .9rem;
    line-height: 1.1rem;
    font-weight: bold;
}


.logo-wrapper:hover {
    box-shadow: 0 0 50px rgba(8, 242, 30, 0.4),
    0 0 50px rgba(8, 242, 30, 0.4),
    0 0 50px rgba(8, 242, 30, 0.4),
    0 0 50px rgba(8, 242, 30, 0.4);
    background: rgba(8, 242, 30, 0.4);
}

.map-container {
    text-align: end;
    position: relative;
}

.map-img {
    max-height : 40vh;
    height: initial;
    max-width : initial;
    width: auto;
}

.expedition-text-wrapper {
    position: absolute;
    top: 5vh;
    left: 3vw;
    width: 65vw;
    max-width: 300px
}

.logo-wrapper {
    position: absolute;
    bottom: 5vh;
    left: 3vw;
    width: 20vw;
    max-width: 80px;
    border-radius: 50%;
    transition: .3s ease-in-out;
}

.title-text {
    position: absolute;
    left: 3vw;
    bottom: 0;
    color: white;
    font-family: JuliusRegular, sans-serif;
    font-weight: normal;
    font-size: clamp(1rem, 5.5vw, 1.5rem)
}

.popup-container {
    position: absolute;
    width: 100%;
    top: 110%
}

.popup-wrapper {
    position: relative;
}

.l-wrapper {
    position: absolute;
    left : 50%;
    opacity: 0;
    transition: .3s ease-in-out;
}

.l1-wrapper {
    transform: translateX(-45%) !important;
    top: -3vh;
}

.l2-wrapper {
    transform: translateX(-42%) !important;
    top: .5vh;
}

.l3-wrapper {
    transform: translateX(-47%) !important;
    top: .5vh;
}

.l4-wrapper {
    transform: translateX(-48%) !important;
    top: 1vh;
}

.l5-wrapper {
    transform: translateX(-50%) !important;
    top: 1vh;
}

.l-img {
    max-height: 45vw;
    transform: scale(0);
    height: initial;
    max-width : initial;
    width: auto;
    transition: .3s linear;
}

.show-layer {
    opacity: 1;
}

.show-image {
    transform: scale(1);
}

.text-wrapper {
    padding: 2rem clamp(1rem, 3vw, 1.8rem);
}

@media only screen and (min-width: 680px) {

    .map-img {
        max-height : 60vh;
    }

    .expedition-text-wrapper {
        max-width: 400px
    }

    .logo-wrapper {
        max-width: 120px;
    }

    .l-img {
        max-height: 40vh;
    }

    .title-text {
        left: 5vw;
        bottom: -2vh;
    }

}

@media only screen and (min-width: 992px) {

    .map-img {
        max-height : 100vh;
    }

    .back-btn-wrapper svg {
        width: 1.6rem;
        height: 1.6rem;
    }

    .page-wrapper {
        font-size: 1.1vw;
        line-height: 1.2em;
    }

    .title-text {
        position: initial;
    }

    .content-wrapper {
        position: relative;
    }

    .main-img-wrapper {
        position: absolute;
        bottom: 0;
        z-index: -1;
    }

    .expedition-text-wrapper {
        left: 0
    }

    .logo-wrapper {
        max-width: 11vw;
        bottom: 5vh;
        right: 1vw;
        left: initial;
    }

    .text-wrapper {
        padding: 2rem clamp(1.8rem, 4vw, 3rem);
    }

    /*.l-img {*/
    /*    max-height: 40vh;*/
    /*}*/

    /*.title-text {*/
    /*    left: 5vw;*/
    /*    bottom: -2vh;*/
    /*}*/

    .popup-container {
        width: 200%;
        left: -100%;
        top: 45%;
        transform: translateY(-10%);
    }

    .l1-wrapper {
        transform: translateX(-55%) !important;
        top: -3vh;
    }

    .l2-wrapper {
        transform: translateX(-52%) !important;
        top: -2vh;
    }

    .l3-wrapper {
        transform: translateX(-57%) !important;
        top: 0;
    }

    .l4-wrapper {
        transform: translateX(-58%) !important;
        top: -1.5vh;
    }

    .l5-wrapper {
        transform: translateX(-60%) !important;
        top: 0;
    }

    .l-img {
        max-height: 55vh;
    }

}